Retrieve shopping cart contents
Use this method to get information on the products added to the shopping cart during the current cart session.
Request parameters
Parameter
Type / Description
sessionID
Required (string)
Session identifier, which is the output of the Login method. An exception is thrown if the values are incorrect.
Request sample
<?php
require ('PATH_TO_AUTH'); // Authentication example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/JSON-RPC/02Authentication
require ('PATH_TO_SET_PARTNER'); // setPartner example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/JSON-RPC/06Reference/Partner/00Set_partner
require ('PATH_TO_ADD_PRODUCT'); // addProduct example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/JSON-RPC/06Reference/08Place_an_order/00Add_product_to_cart
$jsonRpcRequest = array (
'jsonrpc' => '2.0',
'id' => $i++,
'method' => 'getContents',
'params' => array($sessionID)
);
var_dump (callRPC((Object)$jsonRpcRequest,$host));Response parameters
Parameter
Type / Description
Contents
Object
Cart contents object.
Errors
Error
Description
EMPTY_CART
The shopping cart is empty.
Last updated
Was this helpful?